org.apache.uima.collection.metadata

## Interface CasProcessorFilter

- All Superinterfaces:
    Cloneable, MetaDataObject, Serializable, XMLizable

      public interface CasProcessorFilter
      extends MetaDataObject

  Object containing a filter expression used by the CPE to route CAS's to CasProcessor. A CasProcessor can be configured in the CPE Descriptor to use filtering using an SQL-like WHERE clause: where featurespec [ and featurespec2 ...]. The featurespec can be one of these four forms and meanings:
  - Feature Process CAS if the Feature is present (e.g. where Person)
  - Feature! Process CAS if the Feature is not present (e.g. where Person!)
  - Feature=value Process CAS if the Feature has this value( e.g. where Person=Bush)
  - Feature!=value Process CAS if the Feature does not have this value (e.g. where Person!=Bush)
  The featurespecs are implicitly connected with and operators and precedence rules are currently not supported.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFilterString()` Returns a filter expression as String
    `void` | `setFilterString(String aFilterString)` Sets filter expression

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### setFilterString

          void setFilterString(String aFilterString)

      Sets filter expression
      Parameters:
        `aFilterString` - - expression

    - #### getFilterString

          String getFilterString()

      Returns a filter expression as String
      Returns:
        - filter expression

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.